Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#31584 - [p7zip] error while loading shared libraries: libwx_gtk2u_core-2.8.so

Attached to Project: Arch Linux
Opened by Özgür Sarıer (ozgursarier) - Monday, 17 September 2012, 20:25 GMT
Last edited by Gaetan Bisson (vesath) - Tuesday, 18 September 2012, 13:39 GMT
Task Type Feature Request
Category Upstream Bugs
Status Closed
Assigned To Gaetan Bisson (vesath)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
7-Zip service menus use "p7zipForFilemanager" command . But this command gives error below.

$ p7zipForFilemanager xd /home/ozgursarier/İndirilenler/.kde.7z
/usr/lib/p7zip/7zG: error while loading shared libraries: libwx_gtk2u_core-2.8.so.0: cannot open shared object file: No such file or directory

Additional info:
* package version:
p7zip 9.20.1-6

Steps to reproduce:
1) p7zip must have wxgtk dependency .
But it isn't enough. The error above disappeared when i installed wxgtk package. But another error appear after i used the 7-Zip service menu and in the console. It said ; " Incorrect command line" so
2) 7-Zip service menus must be rewriten .
This task depends upon

Closed by  Gaetan Bisson (vesath)
Tuesday, 18 September 2012, 13:39 GMT
Reason for closing:  Not a bug
Comment by Özgür Sarıer (ozgursarier) - Monday, 17 September 2012, 20:50 GMT
By the way i am using kde (last version) as a desktop manager.
Comment by Gaetan Bisson (vesath) - Monday, 17 September 2012, 22:26 GMT
I understand your first error, but more detail on the second one (regarding menus calling incorrect commends) whould help: What command is ran? What are you trying to get the menus to do? etc.
Comment by Gaetan Bisson (vesath) - Monday, 17 September 2012, 22:27 GMT
Also, the first error is not an error: wxgtk is an optional dependency of p7zip (only required for the GUI).
Comment by Alexander F Rødseth (xyproto) (trontonic) - Tuesday, 18 September 2012, 12:51 GMT
Confirmed: wxgtk is already an optional dependency. That is not a bug.

However, more graceful handling of the situation when running p7zipForFilemanager could be considered a valid feature request.

Please report this feature request upstream to the 7-Zip developers.

(Alternatively, wxgtk should be made a dependency or p7zipForFilemanager should be in a split package (p7zip-gui?) that has wxgtk as a dependency).
Comment by Gaetan Bisson (vesath) - Tuesday, 18 September 2012, 13:38 GMT
Alexander: Splitting this package is completely uncalled for, and so is setting as hard dependency something which perfectly fits the semantics of optional dependency...

Also, why did you upgrade the severity of this bug report to high?!? It is bogus anyhow so I'll just close it and save us all more pointless discussions.

Loading...